#include<iostream>
using namespace std;
long long a, b, k;
int main (){
    cin>>a>>b>>k;
    long long otg = 0;
    for(long long i = a; i < b; ){
        if(((i+2)-a)%k == 0){
            i++;
        }else{
            i+=2;
        }
        otg++;
    }
    cout << otg;
    return 0;
}
